Skip to main content
GET
/
orgs
/
{org_id}
/
connectors
/
{connector_id}
/
syncs
/
{sync_id}
`GET /orgs/{org_id}/connectors/{connector_id}/syncs/{sync_id}`
curl --request GET \
  --url https://api.timbal.ai/orgs/{org_id}/connectors/{connector_id}/syncs/{sync_id} \
  --header 'Authorization: Bearer <token>'
{
  "recent_runs": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "job_id": "<string>",
      "rows_emitted": 123,
      "state": "<string>",
      "duration_ms": 123,
      "finished_at": "2023-11-07T05:31:56Z",
      "message": "<string>",
      "rows_per_sec": 123,
      "started_at": "2023-11-07T05:31:56Z"
    }
  ],
  "stats": {
    "rows_total": 123,
    "runs_completed": 123,
    "runs_failed": 123,
    "runs_total": 123
  },
  "sync": {
    "connection_ref": "<string>",
    "connector_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "cursor_column": "<string>",
    "dest_table": "<string>",
    "enabled": true,
    "has_cursor": true,
    "id": "<string>",
    "interval_secs": 123,
    "kb_uid": "<string>",
    "source_kind": "<string>",
    "source_schema": "<string>",
    "source_table": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "last_run_at": "2023-11-07T05:31:56Z",
    "last_state": "<string>",
    "last_success_at": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "seconds_since_success": 123
  }
}

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required
connector_id
string
required
sync_id
string
required

Response

Sync detail

recent_runs
object[]
required
stats
object
required

Rollup of a sync's run history (from its ConnectorJobs).

sync
object
required